Page MenuHome

Transform issue with the Item panel
Closed, ResolvedPublic

Description

System Information
Operating system: Windows-10-10.0.17763 64 Bits
Graphics card: GeForce GTX 1080/PCIe/SSE2 NVIDIA Corporation 4.5.0 NVIDIA 430.86

Blender Version
Broken: version: 2.80 (sub 75), branch: master, commit date: 2019-07-29 14:47, hash: rBf6cb5f54494e
Worked: (optional)

Short description of error
Hi, when I press N, a panel open on the right side of the viewport, there is a transform tab in this pannel. in blender 2.7x, when I scale/translate/rotate several objects with this pannel, it does for all the objects. In the 2.80, when I have several objects selected and change their values with this pannel, it only change the transform of the active element, instead of doing it for all the selected objects

Exact steps for others to reproduce the error
[Please describe the exact steps needed to reproduce the issue]
[Based on the default startup or an attached .blend file (as simple as possible)]

Details

Type
Bug

Event Timeline

Antonin (Antoninhs) renamed this task from Transform issue with the Item pannel to Transform issue with the Item panel.Aug 23 2019, 12:09 AM
Antonin (Antoninhs) created this task.
Antonin (Antoninhs) updated the task description. (Show Details)

The feature's still there; you just have to hold Alt while you're making adjustments.

Abid Maqbool (cto.abid) lowered the priority of this task from Needs Triage by Developer to Needs Information from User.Aug 23 2019, 5:28 AM

As asked, hold down Alt while editing the properties for multiple objects at a same time...
If instrusted you can see more here https://developer.blender.org/T54987
Let we know, if you get what you want?

As asked, hold down Alt while editing the properties for multiple objects at a same time...
If instrusted you can see more here https://developer.blender.org/T54987
Let we know, if you get what you want?

Indeed, holding down alt does what I want, I didnt know that, thank you !

I think it would be more intuitive if it affect all the objects selected by default, and affect the active object while holding alt. And maybe let the user know that he can hold alt somehow.

Philipp Oeser (lichtwerk) closed this task as Resolved.Aug 30 2019, 3:09 PM
Philipp Oeser (lichtwerk) claimed this task.

Thx @Abid Maqbool (cto.abid) for clearing that up.
Will close this then...